
Eric Dumazet <dada1@cosmosbay.com>

We can avoid evaluating `current' in a few places.


---

 25-akpm/fs/file_table.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/file_table.c~fget-speedup fs/file_table.c
--- 25/fs/file_table.c~fget-speedup	2004-03-29 01:49:16.578312152 -0800
+++ 25-akpm/fs/file_table.c	2004-03-29 01:49:46.158815232 -0800
@@ -198,7 +198,7 @@ struct file fastcall *fget(unsigned int 
 	struct files_struct *files = current->files;
 
 	spin_lock(&files->file_lock);
-	file = fcheck(fd);
+	file = fcheck_files(files, fd);
 	if (file)
 		get_file(file);
 	spin_unlock(&files->file_lock);
@@ -221,10 +221,10 @@ struct file fastcall *fget_light(unsigne
 
 	*fput_needed = 0;
 	if (likely((atomic_read(&files->count) == 1))) {
-		file = fcheck(fd);
+		file = fcheck_files(files, fd);
 	} else {
 		spin_lock(&files->file_lock);
-		file = fcheck(fd);
+		file = fcheck_files(files, fd);
 		if (file) {
 			get_file(file);
 			*fput_needed = 1;

_
